/*********************************************************************/
/**
	@file io_misc.h

	API for Driver for miscellaneous devices on the PSE-702

    @copyright
        Copyright 2018 by Pion and Simon Electronics.  All
        rights reserved.

    This file is part of the PSE-702 project

    The PSE-702 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The PSE-702 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file.  If not, see <http://www.gnu.org/licenses/>.

	@author ALP

	@version 110916 ALP	Cloned from flash driver and io_spi.h


	@defgroup io_misc_api Miscellaneous I/O Device Driver API
	@ingroup io_devices
	@{
**********************************************************************/

//		*** PUBLIC FUNCTION PROTOTYPES ***

	// Potentiometer Levels in %

#define IO_SetRx1Level(x)		IO_SetPotLevel(0,x)
#define IO_SetRx2Level(x)		IO_SetPotLevel(1,x)
// #define IO_SetTx1Level(x)		IO_SetPotLevel(2,x)
// #define IO_SetTx2Level(x)		IO_SetPotLevel(3,x)

	// Shift Register I/O Bits

#define IO_SetRUS1LED()			O_RUS1LED_H()
#define IO_SetRUS2LED()         O_RUS2LED_H()
#define IO_SetPTT1LED()			O_PTT1LED_H()
#define IO_SetPTT2LED()         O_PTT2LED_H()

#define IO_ClearRUS1LED()		O_RUS1LED_L()
#define IO_ClearRUS2LED()       O_RUS2LED_L()
#define IO_ClearPTT1LED()		O_PTT1LED_L()
#define IO_ClearPTT2LED()       O_PTT2LED_L()

void IO_SetPotLevel(uint8_t potNum, unsigned level);

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
///@}                          END OF FILE
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

