/****************************************************************//**

    @file ssm_squelch.h

    @copyright
        Copyright 2018 by Pion and Simon Electronics.  All
        rights reserved.

    This file is part of the PSE-702 project

    The PSE-702 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The PSE-702 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file.  If not, see <http://www.gnu.org/licenses/>.

********************************************************************/
//              *** MODULE ID DEFINITIONS ****
//* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

#define SQU_ID(x)   (MODULE(MID_SQU) + (x))

#define TID_SQU     SQU_ID(1)   // Squelch task ID


//* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
//                  SIGNALS
//* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
    /** Signal that the carrier squelch is closed.
     *
     * @oo slotParm1 Channel number.
     * @oo slotParm2 Not used.
     */
DECLARE_SIGNAL(SQU_SquelchClosed)

    /** Signal that the carrier squelch is Opened.
     *
     * @oo slotParm1 Channel number.
     * @oo slotParm2 Not used.
     */
DECLARE_SIGNAL(SQU_SquelchOpened)

//      *** PUBLIC FUNCTION PROTOTYPES ***

void SQU_Reset(void);
void SQU_Start(void);

void SQU_UnsubscribeAll(void);

extern const struct TAG_VARIABLE_TABLE squelchVarTab[];
