/***************************************************************
*                                                               *
*   susi.h: Serial User Interface for PSE-702                   *
*                                                               *
    @copyright
        Copyright 2018 by Pion and Simon Electronics.  All
        rights reserved.

    This file is part of the PSE-702 project

    The PSE-702 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The PSE-702 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file.  If not, see <http://www.gnu.org/licenses/>.
*                                                               *
****************************************************************/

enum TAG_SUSI_RECORD_STATUS
{
    SUSI_REC_STS_OK,        ///< Recording complete, no errors.
    SUSI_REC_STS_OVF,       ///< Recording failed, memory overflow.
    SUSI_REC_STS_BUSY,      ///< Cannot record, channel busy.
    SUSI_REC_STS_TIMEOUT,   ///< Arm-recorder timeout
    SUSI_REC_STS_MAX        ///< Maximum value for limit testing.
};

void SUSI_Reset(void);
void SUSI_Start(void);

void SUSI_DenyTestTone(void);
void SUSI_GrantTestTone(void);

void SUSI_SetUserConsoleContext(void);

void SUSI_StartXmodem(void (*pFunc)(char *pBuff));

void SUSI_NotifyRecordStarted(void);
void SUSI_NotifyRecordComplete(enum TAG_SUSI_RECORD_STATUS status);

void SUSI_RestartWriteTimer(void);

uint16_t SUSI_AssembleFlagWord(
                        uint16_t flags, bool value, uint16_t bit);

void SUSI_StartTestTone(enum TAG_TX_CHAN chan);

void SUSI_StartVoiceRecord(uint8_t file);

void SUSI_StartStatusList(void);    // Transitions to state.
void SUSI_StartHelpList(void);    // Transitions to state.

